GDB (xrefs)

Classes | Namespaces | Functions | Variables
scoped_restore-selftests.c File Reference
`#include "defs.h"`
`#include "selftest.h"`
`#include "common/scoped_restore.h"`

Go to the source code of this file.

## Classes
struct | selftests::scoped_restore_tests::Base
struct | selftests::scoped_restore_tests::Derived

## Namespaces
| selftests
| selftests::scoped_restore_tests

## Functions
static scoped_restore_tmpl< int > | selftests::scoped_restore_tests::make_scoped_restore_global (int value)
static void | selftests::scoped_restore_tests::run_tests ()
void | _initialize_scoped_restore_selftests ()

## Variables
static int | selftests::scoped_restore_tests::global

## Function Documentation

## ◆ _initialize_scoped_restore_selftests()

void _initialize_scoped_restore_selftests | ( |  | ) |

Definition at line 107 of file scoped_restore-selftests.c.

References selftests::register_test(), and selftests::scoped_restore_tests::run_tests().